Bug 976621 - [Docs] - ovirt-engine-cli : show event -id accept strings instead of numeric values
[Docs] - ovirt-engine-cli : show event -id accept strings instead of numeric...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.3.0
Assigned To: Charlie
ecs-bugs
infra
: Improvement
Depends On: 886786
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-20 23:41 EDT by Andrew Burden
Modified: 2016-02-10 14:25 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 886786
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 11982 None None None Never

  None (edit)
Description Andrew Burden 2013-06-20 23:41:36 EDT
Ensure that this is properly documented


+++ This bug was initially created as a clone of Bug #886786 +++


i would not call this a bug, see help for this command [1], id should be
of string type, but we can implement auto-boxing to strings.

[1]

[oVirt shell (connected)]# help show event 

USAGE
  
  - show <type>
      
  - show <type> <id> [object identifiers]
  
DESCRIPTION
  
  Shows an object by type 'event'. See 'help show' for generic
  help on showing objects.
  
ATTRIBUTE OPTIONS
  
  The following options are available for objects with type 'event':
  
    * [--id :string]
    * [--name: string]
Comment 1 Charlie 2013-10-01 21:43:29 EDT
Build Red_Hat_Enterprise_Virtualization-Command_Line_Shell_Guide-3.3-web-en-US-3.3.0-003.el6eng

The initial problem of what input the command would accept (for example, strings, numerics etc.) has been fixed at the program level so it now accepts a range of inputs. However, the 'Show Event' command was not documented, this has now been added as step 15 in:

3.1. Creating a Basic Virtualization Environment with the CLI:
Procedure 3.1. Quick Start Example:

http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_Enterprise_Virtualization/3.3/html-single/Command_Line_Shell_Guide/index.html#Quick_Start_Example

Note You need to log in before you can comment on or make changes to this bug.